Contents
On this page
List Vehicle Categories - Plugixa Car Rental
GET /plugixa-car-rental/v1/vehicle-categories
List vehicle categories, one page at a time.
The user needs the plugixa_car_rental_view capability.
Request
GET https://your-site.example/wp-json/plugixa-car-rental/v1/vehicle-categories?search=suv
Query parameters
This list takes the list parameters every paged list accepts. search matches name and description. orderby accepts id, name, sort_order, status, created_at, modified_at.
Filters, as described in Filtering lists: status (in, ne, empty, not_empty), created_at and modified_at (dates).
Responses
200 OK. data is one page of vehicle categories.
{
"success": true,
"data": [
{
"id": 2,
"name": "SUV",
"description": "High seating, room for luggage.",
"sort_order": 20,
"status": "published",
"created_by": 1,
"modified_by": 1,
"created_at": "2026-11-12 09:30:00",
"modified_at": "2026-11-12 09:30:00",
"deleted_at": null
}
],
"meta": {
"total": 4,
"pages": 1
}
}
| Field | Type | Meaning |
|---|---|---|
data[].id |
integer |
The category’s id |
data[].name |
string |
The category’s name |
data[].description |
string|null |
Plain text |
data[].sort_order |
integer |
Position in lists, lowest first |
data[].status |
string |
published or unpublished |
meta.total |
integer |
Vehicle Categories matching the search and filters, before paging |
meta.pages |
integer |
Number of pages at this per_page |
Errors
Plus the errors every endpoint can return.
Examples
curl -s "https://your-site.example/wp-json/plugixa-car-rental/v1/vehicle-categories?search=suv" \
-u "admin:$WP_APP_PASSWORD"
<?php
$query = http_build_query([
'search' => 'suv',
]);
$ch = curl_init('https://your-site.example/wp-json/plugixa-car-rental/v1/vehicle-categories?' . $query);
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_USERPWD => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const auth = Buffer.from(`admin:${process.env.WP_APP_PASSWORD}`).toString('base64');
const query = new URLSearchParams({ search: 'suv' });
const response = await fetch(`https://your-site.example/wp-json/plugixa-car-rental/v1/vehicle-categories?${query}`, {
headers: {
'Authorization': `Basic ${auth}`,
},
});
const { data, meta } = await response.json();
Quick Links
Share